# How To

- [Lend and Borrow fCash](https://docs.notional.finance/developer-documentation/how-to/lend-and-borrow-fcash.md): How to integrate with Notional fCash markets for fixed rate lending and borrowing
- [Batch Trades](https://docs.notional.finance/developer-documentation/how-to/lend-and-borrow-fcash/batch-trades.md): A flexible set of methods that enable almost any combination of lending, borrowing and providing liquidity on Notional.
- [Wrapped fCash](https://docs.notional.finance/developer-documentation/how-to/lend-and-borrow-fcash/wrapped-fcash.md): A simplified compatibility wrapper for lending and holding fCash.
- [OTC Trading (ERC1155)](https://docs.notional.finance/developer-documentation/how-to/lend-and-borrow-fcash/otc-trading-erc1155.md): Native ERC1155 fCash transfers are a powerful tool that can be used to trade fCash OTC (over the counter) without impacting fCash markets.
- [Mint and Redeem nTokens](https://docs.notional.finance/developer-documentation/how-to/mint-and-redeem-ntokens.md): How to integrate with Notional as a liquidity provider via nTokens
- [Manage Account Assets](https://docs.notional.finance/developer-documentation/how-to/manage-account-assets.md): How to manage Notional account fCash, nToken and cash assets
- [Liquidations](https://docs.notional.finance/developer-documentation/how-to/liquidations.md): Describes the various ways that accounts can be liquidated on Notional.
- [Monitor Account Risk](https://docs.notional.finance/developer-documentation/how-to/liquidations/monitor-account-risk.md): Ways to monitor account risk on chain and off chain.
- [Leveraged Vaults](https://docs.notional.finance/developer-documentation/how-to/leveraged-vaults.md): Leveraged vaults allow whitelisted smart contracts to borrow from Notional at fixed rates in order to pursue a strictly defined yield strategy.
- [Vault Concepts](https://docs.notional.finance/developer-documentation/how-to/leveraged-vaults/vault-concepts.md)
- [User Journeys](https://docs.notional.finance/developer-documentation/how-to/leveraged-vaults/user-journeys.md): Describes the various user journeys for leveraged vaults.
- [Designing a Vault](https://docs.notional.finance/developer-documentation/how-to/leveraged-vaults/designing-a-vault.md): Vault designers should think through the following set of questions.
- [Building a Vault](https://docs.notional.finance/developer-documentation/how-to/leveraged-vaults/building-a-vault.md)
- [Vault Configuration](https://docs.notional.finance/developer-documentation/how-to/leveraged-vaults/vault-configuration.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.notional.finance/developer-documentation/how-to.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
